Bug 453857 - malloc() aborts during save
Summary: malloc() aborts during save
Status: RESOLVED UPSTREAM
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.1.2
Platform: Archlinux Linux
: NOR crash with 116 votes (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
: 453896 454078 454134 454421 454821 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-05-15 21:39 UTC by Alex Merry
Modified: 2022-08-25 07:01 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Merry 2022-05-15 21:39:50 UTC
SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1. Open an existing KMyMoney file
2. Make a change
3. Press the Save button on the toolbar

OBSERVED RESULT
KMyMoney crashed, and lost the change.

EXPECTED RESULT
The change was saved to the file.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: ArchLinux
(available in About System)
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.4

ADDITIONAL INFORMATION

BACKTRACE
malloc(): corrupted top size

Thread 1 "kmymoney" received signal SIGABRT, Aborted.
__pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, no_tid=no_tid@entry=0) at pthread_kill.c:44
Downloading 0.00 MB source file /usr/src/debug/glibc/nptl/pthread_kill.c
44            return INTERNAL_SYSCALL_ERROR_P (ret) ? INTERNAL_SYSCALL_ERRNO (ret) : 0;
gdb$ bt
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007ffff58563d3 in __pthread_kill_internal (signo=6, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007ffff5806838 in __GI_raise (sig=sig@entry=6) at ../sysdeps/posix/raise.c:26
#3  0x00007ffff57f0535 in __GI_abort () at abort.c:79
#4  0x00007ffff584a45e in __libc_message (action=action@entry=do_abort, fmt=fmt@entry=0x7ffff598883e "%s\n") at ../sysdeps/posix/libc_fatal.c:155
#5  0x00007ffff58600cc in malloc_printerr (str=str@entry=0x7ffff59863de "malloc(): corrupted top size") at malloc.c:5664
#6  0x00007ffff58638dc in _int_malloc (av=av@entry=0x7ffff59c6bc0 <main_arena>, bytes=bytes@entry=104) at malloc.c:4373
#7  0x00007ffff5864358 in __GI___libc_malloc (bytes=bytes@entry=104) at malloc.c:3329
#8  0x00007ffff5b8537d in operator new(unsigned long) (sz=sz@entry=104) at /usr/src/debug/gcc/libstdc++-v3/libsupc++/new_op.cc:50
#9  0x00007ffff7311c4b in QDomElementPrivate::setAttribute(QString const&, QString const&) (newValue=..., aname=..., this=0x55555a2cf500) at dom/qdom.cpp:3960
#10 QDomElementPrivate::setAttribute(QString const&, QString const&) (this=0x55555a2cf500, aname=..., newValue=...) at dom/qdom.cpp:3956
#11 0x00007fff8dbbfd01 in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#12 0x00007fff8dbcd51d in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#13 0x00007fff8dbcc6aa in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#14 0x00007fff8dbb89d6 in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#15 0x00007fff8dbb941b in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#16 0x0000555555649911 in  ()
#17 0x00007ffff60cbc41 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7fffffffd0c0, r=<optimized out>, this=0x55555615cb10, this=<optimized out>, r=<optimized out>, a=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#18 doActivate<false>(QObject*, int, void**) (sender=0x55555615c910, signal_index=4, argv=0x7fffffffd0c0) at kernel/qobject.cpp:3886
#19 0x00007ffff6b81e07 in QAction::triggered(bool) (this=this@entry=0x55555615c910, _t1=<optimized out>) at .moc/moc_qaction.cpp:376
#20 0x00007ffff6b87817 in QAction::activate(QAction::ActionEvent) (this=0x55555615c910, event=<optimized out>) at kernel/qaction.cpp:1161
#21 0x00007ffff6c764ce in QAbstractButtonPrivate::click() (this=0x555555ed3020) at widgets/qabstractbutton.cpp:399
#22 0x00007ffff6c766d0 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) (this=0x555555ed3d20, e=0x7fffffffd650) at widgets/qabstractbutton.cpp:1045
#23 0x00007ffff6d6894f in QToolButton::mouseReleaseEvent(QMouseEvent*) (this=<optimized out>, e=<optimized out>) at widgets/qtoolbutton.cpp:622
#24 0x00007ffff6bc5677 in QWidget::event(QEvent*) (this=0x555555ed3d20, event=0x7fffffffd650) at kernel/qwidget.cpp:8659
#25 0x00007ffff6b8ea7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x5555559746a0, receiver=receiver@entry=0x555555ed3d20, e=e@entry=0x7fffffffd650) at kernel/qapplication.cpp:3637
#26 0x00007ffff6b94289 in QApplication::notify(QObject*, QEvent*) (this=<optimized out>, receiver=<optimized out>, e=0x7fffffffd650) at kernel/qapplication.cpp:3081
#27 0x00007ffff609b4a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x555555ed3d20, event=0x7fffffffd650) at kernel/qcoreapplication.cpp:1064
#28 0x00007ffff6b92287 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) (receiver=0x555555ed3d20, event=0x7fffffffd650, alienWidget=<optimized out>, nativeWidget=0x555555ece6d0, buttonDown=<optimized out>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2619
#29 0x00007ffff6be3345 in QWidgetWindow::handleMouseEvent(QMouseEvent*) (this=0x5555561a8360, event=0x7fffffffd9b0) at kernel/qwidgetwindow.cpp:683
#30 0x00007ffff6be50ee in QWidgetWindow::event(QEvent*) (this=0x5555561a8360, event=0x7fffffffd9b0) at kernel/qwidgetwindow.cpp:300
#31 0x00007ffff6b8ea7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x5555561a8360, e=0x7fffffffd9b0) at kernel/qapplication.cpp:3637
#32 0x00007ffff609b4a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x5555561a8360, event=0x7fffffffd9b0) at kernel/qcoreapplication.cpp:1064
#33 0x00007ffff64eef8c in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) (e=0x5555599c22e0) at kernel/qguiapplication.cpp:2282
#34 0x00007ffff64d88e5 in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1169
#35 0x00007fffda090de0 in xcbSourceDispatch(GSource*, GSourceFunc, gpointer) (source=<optimized out>) at /usr/src/debug/qtbase/src/plugins/platforms/xcb/qxcbeventdispatcher.cpp:105
#36 0x00007fffebaf3163 in g_main_dispatch (context=0x7fffd4005010) at ../glib/glib/gmain.c:3417
#37 g_main_context_dispatch (context=0x7fffd4005010) at ../glib/glib/gmain.c:4135
#38 0x00007fffebb499e9 in g_main_context_iterate.constprop.0 (context=context@entry=0x7fffd4005010, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/glib/gmain.c:4211
#39 0x00007fffebaf06c5 in g_main_context_iteration (context=0x7fffd4005010, may_block=1) at ../glib/glib/gmain.c:4276
#40 0x00007ffff60e5c6c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x555555a4a500, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#41 0x00007ffff6093c5c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fffffffdd40, flags=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#42 0x00007ffff609e759 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#43 0x000055555562cc8d in  ()
#44 0x00007ffff57f1290 in __libc_start_call_main (main=main@entry=0x55555562a990, argc=argc@entry=1, argv=argv@entry=0x7fffffffe398) at ../sysdeps/nptl/libc_start_call_main.h:58
#45 0x00007ffff57f134a in __libc_start_main_impl (main=0x55555562a990, argc=1, argv=0x7fffffffe398, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe388) at ../csu/libc-start.c:392
#46 0x000055555562e765 in  ()
Comment 1 kde-bugs 2022-05-16 12:52:01 UTC
I have the same problem, similar configuration using Arch Linux.

Errors with

free(): invalid next size (fast) -> when file is saved after edits
malloc(): unaligned tcache chunk detected -> if bank statements are updated via HBCI.
Comment 2 kde-bugs 2022-05-16 12:53:51 UTC
(In reply to kde-bugs from comment #1)
> I have the same problem, similar configuration using Arch Linux.
> 
> Errors with
> 
> free(): invalid next size (fast) -> when file is saved after edits
> malloc(): unaligned tcache chunk detected -> if bank statements are updated
> via HBCI.

GDB backtrace for the saving issue:

kmymoney: malloc.c:2617: sysmalloc: Assertion `(old_top == initial_top (av) && old_size == 0) || ((unsigned long) (old_size) >= MINSIZE && prev_inuse (old_top) && ((unsigned long) old_end & (pagesize - 1)) == 0)' failed.

Thread 1 "kmymoney" received signal SIGABRT, Aborted.
0x00007ffff583c36c in ?? () from /usr/lib/libc.so.6

[ Legend: Modified register | Code | Heap | Stack | String ]
───────────────────────────────────────────────────────── registers ────
$rax   : 0x0               
$rbx   : 0x125ae           
$rcx   : 0x007ffff583c36c  →   mov ebp, eax
$rdx   : 0x6               
$rsp   : 0x007fffffffc290  →  0x007fffffffc330  →  0x0000000000000018
$rbp   : 0x007fffda4bb180  →  0x007fffda4bb180  →  [loop detected]
$rsi   : 0x125ae           
$rdi   : 0x125ae           
$rip   : 0x007ffff583c36c  →   mov ebp, eax
$r8    : 0x0               
$r9    : 0x73              
$r10   : 0x8               
$r11   : 0x246             
$r12   : 0x6               
$r13   : 0x1000            
$r14   : 0xffffffffffffff28
$r15   : 0x0               
$eflags: [ZERO carry PARITY adjust sign trap INTERRUPT direction overflow resume virtualx86 identification]
$cs: 0x33 $ss: 0x2b $ds: 0x00 $es: 0x00 $fs: 0x00 $gs: 0x00 
───────────────────────────────────────────────────────────── stack ────
0x007fffffffc290│+0x0000: 0x007fffffffc330  →  0x0000000000000018	 ← $rsp
0x007fffffffc298│+0x0008: 0x00555557fd4963  →  0x90cdba0000000555
0x007fffffffc2a0│+0x0010: 0x0000000000000a ("\n"?)
0x007fffffffc2a8│+0x0018: 0x00555557fd4963  →  0x90cdba0000000555
0x007fffffffc2b0│+0x0020: 0x0000000000000000
0x007fffffffc2b8│+0x0028: 0xe4e9690ba17ade00
0x007fffffffc2c0│+0x0030: 0x0000000000000005
0x007fffffffc2c8│+0x0038: 0xe4e9690ba17ade00
─────────────────────────────────────────────────────── code:x86:64 ────
   0x7ffff583c363                  mov    edi, eax
   0x7ffff583c365                  mov    eax, 0xea
   0x7ffff583c36a                  syscall 
 → 0x7ffff583c36c                  mov    ebp, eax
   0x7ffff583c36e                  neg    ebp
   0x7ffff583c370                  cmp    eax, 0xfffff000
   0x7ffff583c375                  mov    eax, 0x0
   0x7ffff583c37a                  cmova  eax, ebp
   0x7ffff583c37d                  jmp    0x7ffff583c2f2
─────────────────────────────────────────────────────────── threads ────
[#0] Id 1, Name: "kmymoney", stopped 0x7ffff583c36c in ?? (), reason: SIGABRT
[#1] Id 2, Name: "QXcbEventQueue", stopped 0x7ffff58b3faf in poll (), reason: SIGABRT
[#2] Id 3, Name: "kmymone:disk$0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#3] Id 4, Name: "kmymoney:sh0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#4] Id 5, Name: "kmymoney:sh1", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#5] Id 6, Name: "kmymoney:sh2", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#6] Id 7, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#7] Id 8, Name: "Thread (pooled)", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#8] Id 9, Name: "Thread (pooled)", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#9] Id 10, Name: "Thread (pooled)", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#10] Id 11, Name: "Thread (pooled)", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#11] Id 12, Name: "QDBusConnection", stopped 0x7ffff58b3faf in poll (), reason: SIGABRT
[#12] Id 14, Name: "sandbox_ipc_thr", stopped 0x7ffff58b3faf in poll (), reason: SIGABRT
[#13] Id 15, Name: "kmymoney", stopped 0x7ffff588af9f in wait4 (), reason: SIGABRT
[#14] Id 16, Name: "ThreadPoolServi", stopped 0x7ffff58bff3e in epoll_wait (), reason: SIGABRT
[#15] Id 17, Name: "ThreadPoolForeg", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#16] Id 18, Name: "Chrome_IOThread", stopped 0x7ffff58bff3e in epoll_wait (), reason: SIGABRT
[#17] Id 19, Name: "ThreadPoolForeg", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#18] Id 20, Name: "ThreadPoolForeg", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#19] Id 21, Name: "ThreadPoolForeg", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#20] Id 22, Name: "ThreadPoolForeg", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#21] Id 23, Name: "CompositorTileW", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#22] Id 24, Name: "inotify_reader", stopped 0x7ffff58b67ec in select (), reason: SIGABRT
[#23] Id 25, Name: "Chrome_InProcGp", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#24] Id 26, Name: "VideoCaptureThr", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#25] Id 27, Name: "Chrome_ChildIOT", stopped 0x7ffff58bff3e in epoll_wait (), reason: SIGABRT
[#26] Id 30, Name: "VizCompositorTh", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#27] Id 31, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#28] Id 32, Name: "NetworkService", stopped 0x7ffff58bff3e in epoll_wait (), reason: SIGABRT
[#29] Id 33, Name: "CacheThread_Blo", stopped 0x7ffff58bff3e in epoll_wait (), reason: SIGABRT
[#30] Id 34, Name: "ThreadPoolSingl", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#31] Id 35, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#32] Id 36, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#33] Id 37, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#34] Id 38, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#35] Id 39, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#36] Id 40, Name: "MemoryInfra", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#37] Id 41, Name: "ThreadPoolSingl", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
[#38] Id 42, Name: "kmymoney:gdrv0", stopped 0x7ffff5837119 in ?? (), reason: SIGABRT
───────────────────────────────────────────────────────────── trace ────
[#0] 0x7ffff583c36c → mov ebp, eax
[#1] 0x7ffff57ec838 → raise()
[#2] 0x7ffff57d6535 → abort()
[#3] 0x7ffff584628d → nop DWORD PTR [rax]
[#4] 0x7ffff5848c62 → addr32 call 0x7ffff58cf600 <__stack_chk_fail>
[#5] 0x7ffff5849a5a → mov rcx, rax
[#6] 0x7ffff584a358 → malloc()
[#7] 0x7ffff5ede6c4 → QArrayData::allocate(unsigned long, unsigned long, unsigned long, QFlags<QArrayData::AllocationOption>)()
[#8] 0x7ffff5f5685f → QString::fromLatin1_helper(char const*, int)()
[#9] 0x7ffff7a9a510 → AlkValue::toString() const()
Comment 3 kde-bugs 2022-05-16 12:54:56 UTC
additional trace:

#0  0x00007ffff583c36c in  () at /usr/lib/libc.so.6
#1  0x00007ffff57ec838 in raise () at /usr/lib/libc.so.6
#2  0x00007ffff57d6535 in abort () at /usr/lib/libc.so.6
#3  0x00007ffff584628d in  () at /usr/lib/libc.so.6
#4  0x00007ffff5848c62 in  () at /usr/lib/libc.so.6
#5  0x00007ffff5849a5a in  () at /usr/lib/libc.so.6
#6  0x00007ffff584a358 in malloc () at /usr/lib/libc.so.6
#7  0x00007ffff5ede6c4 in QArrayData::allocate(unsigned long, unsigned long, unsigned long, QFlags<QArrayData::AllocationOption>) () at /usr/lib/libQt5Core.so.5
#8  0x00007ffff5f5685f in QString::fromLatin1_helper(char const*, int) () at /usr/lib/libQt5Core.so.5
#9  0x00007ffff7a9a510 in AlkValue::toString() const () at /usr/lib/libalkimia5.so.8
#10 0x00007fffa150ece5 in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#11 0x00007fffa151c51d in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#12 0x00007fffa151b6aa in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#13 0x00007fffa15079d6 in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#14 0x00007fffa150841b in  () at /usr/lib/qt/plugins/kmymoney/xmlstorage.so
#15 0x0000555555649911 in  ()
#16 0x00007ffff60b1c41 in  () at /usr/lib/libQt5Core.so.5
#17 0x00007ffff6b67e07 in QAction::triggered(bool) () at /usr/lib/libQt5Widgets.so.5
#18 0x00007ffff6b6d817 in QAction::activate(QAction::ActionEvent) () at /usr/lib/libQt5Widgets.so.5
#19 0x00007ffff6c5c4ce in  () at /usr/lib/libQt5Widgets.so.5
#20 0x00007ffff6c5c6d0 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5
#21 0x00007ffff6d4e94f in QToolButton::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5
#22 0x00007ffff6bab677 in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#23 0x00007ffff6b74a7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#24 0x00007ffff6b7a289 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#25 0x00007ffff60814a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#26 0x00007ffff6b78287 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) () at /usr/lib/libQt5Widgets.so.5
#27 0x00007ffff6bc9345 in  () at /usr/lib/libQt5Widgets.so.5
#28 0x00007ffff6bcb0ee in  () at /usr/lib/libQt5Widgets.so.5
#29 0x00007ffff6b74a7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#30 0x00007ffff60814a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#31 0x00007ffff64d4f8c in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /usr/lib/libQt5Gui.so.5
#32 0x00007ffff64be8e5 in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Gui.so.5
#33 0x00007fffd9fb5de0 in  () at /usr/lib/libQt5XcbQpa.so.5
#34 0x00007fffebad9163 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#35 0x00007fffebb2f9e9 in  () at /usr/lib/libglib-2.0.so.0
#36 0x00007fffebad66c5 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#37 0x00007ffff60cbc6c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#38 0x00007ffff6079c5c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#39 0x00007ffff6084759 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#40 0x000055555562cc8d in  ()
#41 0x00007ffff57d7290 in  () at /usr/lib/libc.so.6
#42 0x00007ffff57d734a in __libc_start_main () at /usr/lib/libc.so.6
#43 0x000055555562e765 in  ()
Comment 4 Marvin Dickhaus 2022-05-20 08:49:21 UTC
Same issue for me. Also on Arch Linux with the same version scheme.
Comment 5 Marvin Dickhaus 2022-05-20 08:56:10 UTC
*** Bug 453896 has been marked as a duplicate of this bug. ***
Comment 6 Antonio Rojas 2022-05-20 10:46:52 UTC
*** Bug 454078 has been marked as a duplicate of this bug. ***
Comment 7 Antonio Rojas 2022-05-21 08:41:53 UTC
*** Bug 454134 has been marked as a duplicate of this bug. ***
Comment 8 Danie 2022-05-25 11:54:15 UTC
Having same issue on Manjaro KDE as of 25 May 2022. Can't add any new transactions, and even editing an existing transaction, results in the crash after trying to save. Can't use app right now. I did upgrade KDE yesterday but have rebooted since and other apps are all stable.
Comment 9 Jeremy Whiting 2022-05-25 12:04:25 UTC
Yeah, it's only programs that use gmp for multi precision math and also use gnutls 3.7.5. A fix has been merged for 3.7.6 but not sure when that will be released. Downgrading gnutls back to 3.7.4 will fix it. We may be able to get the patch into a new gnutls 3.7.5 package (I've got the same here on arch, which works well) to get around it until 3.7.6 is released.
Comment 10 Danie 2022-05-25 12:27:13 UTC
(In reply to Jeremy Whiting from comment #9)
> Yeah, it's only programs that use gmp for multi precision math and also use
> gnutls 3.7.5. A fix has been merged for 3.7.6 but not sure when that will be
> released. Downgrading gnutls back to 3.7.4 will fix it. We may be able to
> get the patch into a new gnutls 3.7.5 package (I've got the same here on
> arch, which works well) to get around it until 3.7.6 is released.

Perfect thanks that has worked for me for now at least.
Comment 11 Isaac Wismer 2022-05-25 21:00:23 UTC
I'm no longer seeing the crash after updating gnutls 3.7.5-1 to 3.7.5-2 on Arch.
Comment 12 Vicente Jorge 2022-05-26 08:48:44 UTC
Solved, updating gnutls 3.7.5-1 to 3.7.5-2 on Arch
Comment 13 Thomas Baumgart 2022-05-27 05:16:00 UTC
*** Bug 454421 has been marked as a duplicate of this bug. ***
Comment 14 Jeremy Whiting 2022-06-04 04:52:24 UTC
*** Bug 454821 has been marked as a duplicate of this bug. ***
Comment 15 Jack 2022-08-24 22:31:13 UTC
Is it time to close this?  Not sure whether to call it Upstream or Downstream, since the problem was not in KMyMoney itself, but in a combination of libraries we call.